Bug 1083234 - Review Request: mariadb-galera - MariaDB with wsrep patches
Summary: Review Request: mariadb-galera - MariaDB with wsrep patches
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lukas Bezdicka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1083232
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-01 18:10 UTC by Ryan O'Hara
Modified: 2014-05-08 10:07 UTC (History)
4 users (show)

Fixed In Version: mariadb-galera-5.5.36-10.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-08 10:07:46 UTC
Type: ---
social: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ryan O'Hara 2014-04-01 18:10:55 UTC
Spec URL: http://rohara.fedorapeople.org/galera/mariadb-galera.spec
SRPM URL: http://rohara.fedorapeople.org/galera/mariadb-galera-5.5.36-6.fc20.src.rpm

Description: 
MariaDB is a community developed branch of MySQL.
MariaDB is a multi-user, multi-threaded SQL database server.
It is a client/server implementation consisting of a server daemon (mysqld)
and many different client programs and libraries. This package also contains the wsrep patches for synchronous, multi-master replication.

Fedora Account System Username: rohara

Comment 1 Mukundan Ragavan 2014-04-01 18:19:33 UTC
I can review this before the end of this week. If you want this reviewed faster, I can remove myself. :)

Comment 2 Lukas Bezdicka 2014-04-25 13:40:06 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Sources used to build the package match the upstream source, as provided in
  the spec URL.
  Note: Upstream MD5sum check error, diff is in /home/social/Downloads
  /mariadb-galera/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "LGPL (v2)", "LGPL (v2) (with incorrect FSF address)", "GPL (v2)
     (with incorrect FSF address)", "Public domain GPL (v2)", "Unknown or
     generated", "BSD (4 clause)", "GPL (v2 or later)", "ISC", "zlib/libpng",
     "BSD (3 clause)", "BSD (3 clause) GPL (v2)", "GPL (v2 or later) (with
     incorrect FSF address)", "BSD (2 clause)", "LGPL (v2.1 or later)", "*No
     copyright* Public domain", "GPL (v2)", "GPL (v3 or later)". 1181 files
     have unknown license. Detailed output of licensecheck in
     /home/social/Downloads/mariadb-galera/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/logrotate.d
/etc/logrotate.d is shared among packages

[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib64/mysql/plugin
     (community-mysql-server, mariadb-server), /var/log/mariadb(mariadb-
     server), /var/run/mysqld(community-mysql-server, mariadb-server),
     /var/run/mariadb(mariadb-server), /etc/my.cnf.d(mariadb-libs),
     /var/lib/mysql(community-mysql-server, mariadb-server)
These paths are owned by our conflicts this package(mariadb-galera) is just alternative mysql server

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 245760 bytes in 14 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
Not a blocker.

[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in mariadb-
     galera-common , mariadb-galera-server
mariadb-galera provides just server, clients can be any mysql clients so no pulling in dependancies

[x]: Package functions as described.
Had to test manually.

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[?]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 2959360 bytes in /usr/share
mariadb-galera-common is the owner.


Installation errors
-------------------
INFO: mock.py version 1.1.38 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.38
INFO: Mock Version: 1.1.38
Start: lock buildroot
INFO: installing package(s): /home/social/Downloads/mariadb-galera/results/mariadb-galera-common-5.5.36-9.fc20.x86_64.rpm /home/social/Downloads/mariadb-galera/results/mariadb-galera-server-5.5.36-9.fc20.x86_64.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-20-x86_64/root/', '--releasever', '20', 'install', '/home/social/Downloads/mariadb-galera/results/mariadb-galera-common-5.5.36-9.fc20.x86_64.rpm', '/home/social/Downloads/mariadb-galera/results/mariadb-galera-server-5.5.36-9.fc20.x86_64.rpm', '--setopt=tsflags=nocontexts']
Error: Package: 1:mariadb-galera-server-5.5.36-9.fc20.x86_64 (/mariadb-galera-server-5.5.36-9.fc20.x86_64)
           Requires: galera >= 25.3.3
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: mariadb-galera-common-5.5.36-9.fc20.x86_64.rpm
          mariadb-galera-server-5.5.36-9.fc20.x86_64.rpm
          mariadb-galera-5.5.36-9.fc20.src.rpm
mariadb-galera-server.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
mariadb-galera-server.x86_64: W: obsolete-not-provided MySQL-server
mariadb-galera-server.x86_64: W: conffile-without-noreplace-flag /var/log/mariadb/mariadb.log
mariadb-galera-server.x86_64: W: conffile-without-noreplace-flag /var/log/mysqld.log
mariadb-galera-server.x86_64: E: non-readable /etc/sysconfig/clustercheck 0640L
^ this is fine
mariadb-galera-server.x86_64: W: non-executable-in-bin /usr/bin/mysqlbug 0644L
mariadb-galera-server.x86_64: E: script-without-shebang /usr/bin/wsrep_sst_common
^ more of an functions file for scripts
mariadb-galera-server.x86_64: E: incoherent-logrotate-file /etc/logrotate.d/mariadb
^ from original package looks fine
mariadb-galera-server.x86_64: E: non-standard-dir-perm /var/log/mariadb 0750L
^ from original package looks fine
mariadb-galera-server.x86_64: W: no-manual-page-for-binary wsrep_sst_common
mariadb-galera-server.x86_64: W: no-manual-page-for-binary wsrep_sst_rsync
mariadb-galera-server.x86_64: W: no-manual-page-for-binary clustercheck
mariadb-galera-server.x86_64: W: no-manual-page-for-binary wsrep_sst_mysqldump
mariadb-galera-server.x86_64: W: no-manual-page-for-binary wsrep_sst_xtrabackup
mariadb-galera-server.x86_64: W: dangerous-command-in-%post chmod
mariadb-galera-server.x86_64: W: dangerous-command-in-%posttrans rm
mariadb-galera.src: W: spelling-error %description -l en_US multi -> mulch, mufti
mariadb-galera.src: W: spelling-error %description -l en_US mysqld -> myself
mariadb-galera.src: W: strange-permission filter-requires-mysql.sh 0755L
mariadb-galera.src:125: W: macro-in-comment %{epoch}
mariadb-galera.src:125: W: macro-in-comment %{version}
mariadb-galera.src:125: W: macro-in-comment %{release}
mariadb-galera.src:126: W: macro-in-comment %{epoch}
mariadb-galera.src:126: W: macro-in-comment %{version}
mariadb-galera.src:126: W: macro-in-comment %{release}
mariadb-galera.src:147: W: macro-in-comment %{name}
mariadb-galera.src:147: W: macro-in-comment %{epoch}
mariadb-galera.src:147: W: macro-in-comment %{version}
mariadb-galera.src:147: W: macro-in-comment %{release}
mariadb-galera.src:186: W: macro-in-comment %{epoch}
mariadb-galera.src:186: W: macro-in-comment %{version}
mariadb-galera.src:186: W: macro-in-comment %{release}
mariadb-galera.src:187: W: macro-in-comment %{epoch}
mariadb-galera.src:187: W: macro-in-comment %{version}
mariadb-galera.src:187: W: macro-in-comment %{release}
mariadb-galera.src:204: W: macro-in-comment %{epoch}
mariadb-galera.src:204: W: macro-in-comment %{version}
mariadb-galera.src:204: W: macro-in-comment %{release}
mariadb-galera.src:205: W: macro-in-comment %{epoch}
mariadb-galera.src:205: W: macro-in-comment %{version}
mariadb-galera.src:205: W: macro-in-comment %{release}
mariadb-galera.src:221: W: macro-in-comment %{epoch}
mariadb-galera.src:221: W: macro-in-comment %{version}
mariadb-galera.src:221: W: macro-in-comment %{release}
mariadb-galera.src:222: W: macro-in-comment %{epoch}
mariadb-galera.src:222: W: macro-in-comment %{version}
mariadb-galera.src:222: W: macro-in-comment %{release}
mariadb-galera.src:238: W: macro-in-comment %{name}
mariadb-galera.src:238: W: macro-in-comment %{epoch}
mariadb-galera.src:238: W: macro-in-comment %{version}
mariadb-galera.src:238: W: macro-in-comment %{release}
mariadb-galera.src:240: W: macro-in-comment %{epoch}
mariadb-galera.src:240: W: macro-in-comment %{version}
mariadb-galera.src:240: W: macro-in-comment %{release}
mariadb-galera.src:241: W: macro-in-comment %{epoch}
mariadb-galera.src:241: W: macro-in-comment %{version}
mariadb-galera.src:241: W: macro-in-comment %{release}
mariadb-galera.src:259: W: macro-in-comment %{name}
mariadb-galera.src:259: W: macro-in-comment %{epoch}
mariadb-galera.src:259: W: macro-in-comment %{version}
mariadb-galera.src:259: W: macro-in-comment %{release}
mariadb-galera.src:263: W: macro-in-comment %{epoch}
mariadb-galera.src:263: W: macro-in-comment %{version}
mariadb-galera.src:263: W: macro-in-comment %{release}
mariadb-galera.src:264: W: macro-in-comment %{epoch}
mariadb-galera.src:264: W: macro-in-comment %{version}
mariadb-galera.src:264: W: macro-in-comment %{release}
mariadb-galera.src:640: W: macro-in-comment %post
mariadb-galera.src:641: W: macro-in-comment %{_sbindir}
mariadb-galera.src:641: W: macro-in-comment %{_bindir}
mariadb-galera.src:642: W: macro-in-comment %{_libdir}
mariadb-galera.src:642: W: macro-in-comment %{__isa_bits}
mariadb-galera.src:675: W: macro-in-comment %post
mariadb-galera.src:684: W: macro-in-comment %post
mariadb-galera.src:686: W: macro-in-comment %postun
mariadb-galera.src:688: W: macro-in-comment %{_sbindir}
mariadb-galera.src:688: W: macro-in-comment %{_libdir}
mariadb-galera.src:694: W: macro-in-comment %postun
mariadb-galera.src:702: W: macro-in-comment %postun
mariadb-galera.src:704: W: macro-in-comment %files
mariadb-galera.src:705: W: macro-in-comment %defattr
mariadb-galera.src:706: W: macro-in-comment %doc
mariadb-galera.src:707: W: macro-in-comment %doc
mariadb-galera.src:708: W: macro-in-comment %doc
mariadb-galera.src:710: W: macro-in-comment %{_bindir}
mariadb-galera.src:711: W: macro-in-comment %{_bindir}
mariadb-galera.src:712: W: macro-in-comment %ghost
mariadb-galera.src:712: W: macro-in-comment %{_bindir}
mariadb-galera.src:713: W: macro-in-comment %{_bindir}
mariadb-galera.src:714: W: macro-in-comment %{_bindir}
mariadb-galera.src:715: W: macro-in-comment %{_bindir}
mariadb-galera.src:716: W: macro-in-comment %{_bindir}
mariadb-galera.src:717: W: macro-in-comment %{_bindir}
mariadb-galera.src:718: W: macro-in-comment %{_bindir}
mariadb-galera.src:719: W: macro-in-comment %{_bindir}
mariadb-galera.src:720: W: macro-in-comment %{_bindir}
mariadb-galera.src:721: W: macro-in-comment %{_bindir}
mariadb-galera.src:722: W: macro-in-comment %{_bindir}
mariadb-galera.src:723: W: macro-in-comment %{_bindir}
mariadb-galera.src:724: W: macro-in-comment %{_bindir}
mariadb-galera.src:725: W: macro-in-comment %{_bindir}
mariadb-galera.src:726: W: macro-in-comment %{_bindir}
mariadb-galera.src:727: W: macro-in-comment %{_bindir}
mariadb-galera.src:728: W: macro-in-comment %{_bindir}
mariadb-galera.src:729: W: macro-in-comment %{_bindir}
mariadb-galera.src:731: W: macro-in-comment %{_mandir}
mariadb-galera.src:732: W: macro-in-comment %{_mandir}
mariadb-galera.src:733: W: macro-in-comment %{_mandir}
mariadb-galera.src:734: W: macro-in-comment %{_mandir}
mariadb-galera.src:735: W: macro-in-comment %{_mandir}
mariadb-galera.src:736: W: macro-in-comment %{_mandir}
mariadb-galera.src:737: W: macro-in-comment %{_mandir}
mariadb-galera.src:738: W: macro-in-comment %{_mandir}
mariadb-galera.src:739: W: macro-in-comment %{_mandir}
mariadb-galera.src:740: W: macro-in-comment %{_mandir}
mariadb-galera.src:741: W: macro-in-comment %{_mandir}
mariadb-galera.src:742: W: macro-in-comment %{_mandir}
mariadb-galera.src:744: W: macro-in-comment %{_libdir}
mariadb-galera.src:745: W: macro-in-comment %config
mariadb-galera.src:745: W: macro-in-comment %{_sysconfdir}
mariadb-galera.src:747: W: macro-in-comment %files
mariadb-galera.src:748: W: macro-in-comment %defattr
mariadb-galera.src:749: W: macro-in-comment %doc
mariadb-galera.src:750: W: macro-in-comment %doc
mariadb-galera.src:753: W: macro-in-comment %config
mariadb-galera.src:753: W: macro-in-comment %{_sysconfdir}
mariadb-galera.src:754: W: macro-in-comment %config
mariadb-galera.src:754: W: macro-in-comment %{_sysconfdir}
mariadb-galera.src:755: W: macro-in-comment %dir
mariadb-galera.src:755: W: macro-in-comment %{_libdir}
mariadb-galera.src:756: W: macro-in-comment %{_libdir}
mariadb-galera.src:757: W: macro-in-comment %{_sysconfdir}
mariadb-galera.src:895: W: macro-in-comment %files
mariadb-galera.src:896: W: macro-in-comment %defattr
mariadb-galera.src:897: W: macro-in-comment %{_includedir}
mariadb-galera.src:898: W: macro-in-comment %{_datadir}
mariadb-galera.src:899: W: macro-in-comment %{_libdir}
mariadb-galera.src:900: W: macro-in-comment %{_libdir}
mariadb-galera.src:902: W: macro-in-comment %files
mariadb-galera.src:903: W: macro-in-comment %defattr
mariadb-galera.src:904: W: macro-in-comment %doc
mariadb-galera.src:905: W: macro-in-comment %doc
mariadb-galera.src:906: W: macro-in-comment %{_libdir}
mariadb-galera.src:908: W: macro-in-comment %files
mariadb-galera.src:909: W: macro-in-comment %defattr
mariadb-galera.src:910: W: macro-in-comment %{_libdir}
mariadb-galera.src:911: W: macro-in-comment %{_bindir}
mariadb-galera.src:912: W: macro-in-comment %{_bindir}
mariadb-galera.src:913: W: macro-in-comment %{_mandir}
mariadb-galera.src:914: W: macro-in-comment %{_mandir}
mariadb-galera.src:916: W: macro-in-comment %files
mariadb-galera.src:917: W: macro-in-comment %defattr
mariadb-galera.src:918: W: macro-in-comment %{_datadir}
mariadb-galera.src:920: W: macro-in-comment %files
mariadb-galera.src:921: W: macro-in-comment %defattr
mariadb-galera.src:922: W: macro-in-comment %{_bindir}
mariadb-galera.src:923: W: macro-in-comment %{_bindir}
mariadb-galera.src:924: W: macro-in-comment %attr
mariadb-galera.src:924: W: macro-in-comment %{_datadir}
mariadb-galera.src:925: W: macro-in-comment %{_mandir}
mariadb-galera.src: W: file-size-mismatch mariadb-galera-5.5.36.tar.gz = 45903192, http://ftp.osuosl.org/pub/mariadb/mariadb-galera-5.5.36/src/mariadb-galera-5.5.36.tar.gz = 45913510
3 packages and 0 specfiles checked; 4 errors, 157 warnings.




Requires
--------
mariadb-galera-server (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    /usr/bin/perl
    /usr/sbin/update-alternatives
    /usr/sbin/useradd
    config(mariadb-galera-server)
    galera
    libaio.so.1()(64bit)
    libaio.so.1(LIBAIO_0.1)(64bit)
    libaio.so.1(LIBAIO_0.4)(64bit)
    libc.so.6()(64bit)
    libcrypt.so.1()(64bit)
    libcrypto.so.10()(64bit)
    libcrypto.so.10(libcrypto.so.10)(64bit)
    libdl.so.2()(64bit)
    libm.so.6()(64bit)
    libpam.so.0()(64bit)
    libpam.so.0(LIBPAM_1.0)(64bit)
    libpthread.so.0()(64bit)
    libssl.so.10()(64bit)
    libssl.so.10(libssl.so.10)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libz.so.1()(64bit)
    libz.so.1(ZLIB_1.2.0)(64bit)
    mariadb-galera-common(x86-64)
    mysql(x86-64)
    net-tools
    perl(DBI)
    perl(Data::Dumper)
    perl(File::Basename)
    perl(File::Copy)
    perl(File::Path)
    perl(File::Temp)
    perl(Getopt::Long)
    perl(POSIX)
    perl(Sys::Hostname)
    perl(strict)
    perl(vars)
    perl-DBD-MySQL
    perl-DBI
    rtld(GNU_HASH)
    sh-utils
    systemd

mariadb-galera-common (rpmlib, GLIBC filtered):



Provides
--------
mariadb-galera-server:
    config(mariadb-galera-server)
    libdaemon_example.so()(64bit)
    mariadb-galera-server
    mariadb-galera-server(x86-64)
    mysql-compat-server
    mysql-compat-server(x86-64)
    mysql-server
    mysql-server(x86-64)

mariadb-galera-common:
    mariadb-galera-common
    mariadb-galera-common(x86-64)



Unversioned so-files
--------------------
mariadb-galera-server: /usr/lib64/mysql/plugin/adt_null.so
mariadb-galera-server: /usr/lib64/mysql/plugin/auth_0x0100.so
mariadb-galera-server: /usr/lib64/mysql/plugin/auth_pam.so
mariadb-galera-server: /usr/lib64/mysql/plugin/auth_socket.so
mariadb-galera-server: /usr/lib64/mysql/plugin/auth_test_plugin.so
mariadb-galera-server: /usr/lib64/mysql/plugin/dialog.so
mariadb-galera-server: /usr/lib64/mysql/plugin/dialog_examples.so
mariadb-galera-server: /usr/lib64/mysql/plugin/ha_innodb.so
mariadb-galera-server: /usr/lib64/mysql/plugin/ha_sphinx.so
mariadb-galera-server: /usr/lib64/mysql/plugin/handlersocket.so
mariadb-galera-server: /usr/lib64/mysql/plugin/libdaemon_example.so
mariadb-galera-server: /usr/lib64/mysql/plugin/mypluglib.so
mariadb-galera-server: /usr/lib64/mysql/plugin/mysql_clear_password.so
mariadb-galera-server: /usr/lib64/mysql/plugin/qa_auth_client.so
mariadb-galera-server: /usr/lib64/mysql/plugin/qa_auth_interface.so
mariadb-galera-server: /usr/lib64/mysql/plugin/qa_auth_server.so
mariadb-galera-server: /usr/lib64/mysql/plugin/query_cache_info.so
mariadb-galera-server: /usr/lib64/mysql/plugin/semisync_master.so
mariadb-galera-server: /usr/lib64/mysql/plugin/semisync_slave.so
mariadb-galera-server: /usr/lib64/mysql/plugin/sphinx.so
mariadb-galera-server: /usr/lib64/mysql/plugin/sql_errlog.so

Source checksums
----------------
http://ftp.osuosl.org/pub/mariadb/mariadb-galera-5.5.36/src/mariadb-galera-5.5.36.tar.gz :
  CHECKSUM(SHA256) this package     : 3059bd8d047987bfd55eccf784e007314d43da6ef387a674d787e408c21dd1de
  CHECKSUM(SHA256) upstream package : 7e4208c4d0720202314857f7a4f16e1b412a9f4f743b8c5700d4eaacb4c9885b
diff -r also reports differences


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --rpm-spec -n /home/social/rpmbuild/SRPMS/mariadb-galera-5.5.36-9.fc20.src.rpm
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Lukas Bezdicka 2014-04-25 14:17:24 UTC
This seems to be fine, please proceed with SCM admin request and so on. Thank you.

Comment 4 Gwyn Ciesla 2014-04-25 20:10:35 UTC
No SCM request found.

Comment 5 Ryan O'Hara 2014-04-25 20:19:43 UTC
New Package SCM Request
=======================
Package Name: mariadb-galera
Short Description: A community developed branch of MySQL, with wsrep patches
Owners: rohara
Branches: f20 el6 epel7
InitialCC: rohara

Comment 6 Gwyn Ciesla 2014-04-28 12:03:37 UTC
Git done (by process-git-requests).

Comment 7 Mukundan Ragavan 2014-04-28 13:05:56 UTC
Sorry, I had to be away for a while and couldn't take care of this review. My apologies. Glad to see everything has been taken care of.

Comment 8 Fedora Update System 2014-04-29 15:06:07 UTC
mariadb-galera-5.5.36-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mariadb-galera-5.5.36-10.fc20

Comment 9 Fedora Update System 2014-04-29 15:06:17 UTC
mariadb-galera-5.5.36-10.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mariadb-galera-5.5.36-10.el6

Comment 10 Fedora Update System 2014-04-29 19:49:30 UTC
Package mariadb-galera-5.5.36-10.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mariadb-galera-5.5.36-10.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1279/mariadb-galera-5.5.36-10.el6
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2014-05-08 10:07:46 UTC
mariadb-galera-5.5.36-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.